Bug 447783 - cpuscaling test never gets planned
cpuscaling test never gets planned
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Greg Nichols
Depends On:
  Show dependency treegraph
Reported: 2008-05-21 15:18 EDT by Rob Landry
Modified: 2009-02-24 13:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-24 13:10:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed patch attached (788 bytes, text/x-patch)
2008-05-21 15:20 EDT, Rob Landry
no flags Details
cpuscaling test result rpm (359.95 KB, application/octet-stream)
2008-08-06 16:18 EDT, Rick Hester
no flags Details

  None (edit)
Description Rob Landry 2008-05-21 15:18:20 EDT
Description of problem:

The cpuscaling test never gets planned by 'hts plan'; it can be manually added
via "hts plan --add --test cpuscaling --device cpu" though and will execute

Version-Release number of selected component (if applicable):


How reproducible:

Every time.

Steps to Reproduce:
1. run 'hts plan'
2. run 'hts print'
Actual results:

cpuscaling test won't be listed in the plan.

Expected results:

cpuscaling test shouldb e listed

Additional info:

Appears to be caused by a change along the way in lshal output from a generic
'Computer' info line to now in a processor specific line.
Comment 1 Rob Landry 2008-05-21 15:20:44 EDT
Created attachment 306306 [details]
Proposed patch attached

Changes the check from 'Computer' to 'processor' (which might match Match
Co-Processor) also the listing of 'cpu0' or other #'s depending on what lshal
lists out first might cause some vendor confusion as it only reports the 1st
cpu it finds and there's no guarantee that it'll always be cpu0; might says
cpu5 or something.
Comment 2 Greg Nichols 2008-05-28 10:50:56 EDT
Fixed in R14
Comment 3 Rick Hester 2008-08-06 16:15:41 EDT
I just ran across this problem in hts-5.2-16 on an IA64 system.  That is the one
where cpuscaling test is not added by hts plan.  To be able to
run the test I had to use the workaround listed in the problem description.


[root@max ~]# uname -a
Linux max.sapphirecv.test 2.6.18-92.el5xen #1 SMP Tue Apr 29 13:36:07 EDT 2008 ia64 ia64 ia64 GNU/Linux
[root@max ~]# hts version
HTS version 5.2, release 16

I'll attach the test results because it also includes the output of
the info test in case you need system configuration.
Comment 4 Rick Hester 2008-08-06 16:18:05 EDT
Created attachment 313633 [details]
cpuscaling test result rpm

Note that when I did get the cpuscaling test to run it failed.  But I think
that is also a known problem as well
Comment 5 Greg Nichols 2008-08-18 13:39:33 EDT
Bouncing back to assigned given above experience with R16.

Note You need to log in before you can comment on or make changes to this bug.